%define pkg_name        Module-Signature
%define pkg_version     0.55
%define rpm_pkg_version 0.55
%define rpm_pkg_release 1.n0i.8

Summary:       Module signature file manipulation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AU/AUDREYT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(IO::Socket::INET)}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
Module::Signature adds cryptographic authentications to CPAN distributions,
via the special SIGNATURE file.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path script/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc AUTHORS Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.55-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.55

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> - 0.54-1.n0i.7
- version 0.54

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 0.53-1.n0i.6
- version 0.53

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.50-1.n0i.5
- version 0.50

* Wed Aug 17 2005 Marius FERARU <altblue@n0i.net> 0.45-1.n0i.4
- version 0.45

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.44-1.n0i.3
- version 0.44

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.38-0.n0i.2
- version 0.38

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:0.37-0.n0i.1
- version 0.37
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
